Skip to main content
GET
List tournaments

Authorizations

Authorization
string
header
required

Bearer token issued by Softmax

Query Parameters

league_id
string[] | null

Leagues whose tournaments should be returned.

Pattern: ^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
limit_per_league
integer
default:100

Maximum tournaments returned for each requested league.

Required range: 1 <= x <= 200

Response

Successful Response

tournament_id
string
required

Tournament ID.

league_id
string
required

League that owns the tournament.

name
string
required

Tournament display name.

status
enum<string>
required

Current tournament lifecycle state.

Available options:
draft,
locked,
running,
completed,
cancelled,
failed
created_at
string<date-time>
required

Time the tournament draft was created.

locked_at
string<date-time> | null
required

Time the definition and entrants were locked.

started_at
string<date-time> | null
required

Time tournament execution started.

completed_at
string<date-time> | null
required

Time the tournament reached a terminal state.

error
string | null
required

Terminal failure reason, when the tournament failed.